net.sf.jasperreports.olap.xmla

## Class JRXmlaResult

- java.lang.Object
- - net.sf.jasperreports.olap.xmla.JRXmlaResult

- All Implemented Interfaces:
    JROlapResult

      public class JRXmlaResult
      extends java.lang.Object
      implements JROlapResult

  Version:
    $Id: JRXmlaResult.java 5879 2013-01-07 20:35:36Z teodord $
  Author:
    Lucian Chirita (lucianc@users.sourceforge.net)

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `JRXmlaResult()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addAxis(JRXmlaResultAxis axis)`
    `protected JRXmlaResultAxis[]` | `ensureAxisArray()`
    `protected void` | `ensureCellOrdinalFactors()`
    `JROlapResultAxis[]` | `getAxes()`
    `JRXmlaResultAxis` | `getAxisByName(java.lang.String name)`
    `JROlapCell` | `getCell(int[] axisPositions)`
    `protected int` | `getCellOrdinal(int[] axisPositions)`
    `protected void` | `resetAxisArray()`
    `void` | `setCell(JRXmlaCell cell, int cellOrdinal)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JRXmlaResult

          public JRXmlaResult()

  - ### Method Detail

    - #### getAxes

          public JROlapResultAxis[] getAxes()

      Specified by:
        `getAxes` in interface `JROlapResult`

    - #### getCell

          public JROlapCell getCell(int[] axisPositions)

      Specified by:
        `getCell` in interface `JROlapResult`

    - #### getCellOrdinal

          protected int getCellOrdinal(int[] axisPositions)

    - #### addAxis

          public void addAxis(JRXmlaResultAxis axis)

    - #### getAxisByName

          public JRXmlaResultAxis getAxisByName(java.lang.String name)

    - #### ensureAxisArray

          protected JRXmlaResultAxis[] ensureAxisArray()

    - #### ensureCellOrdinalFactors

          protected void ensureCellOrdinalFactors()

    - #### resetAxisArray

          protected void resetAxisArray()

    - #### setCell

          public void setCell(JRXmlaCell cell,
                     int cellOrdinal)

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com